Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDebugMethodJitInfo

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDebugMethodJitInfo,MonoDebugMethodJitInfo.ByValue,MonoDebugMethodJitInfo.ByReference>
              com.nativelibs4java.mono.MonoDebugMethodJitInfo

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDebugMethodJitInfo,MonoDebugMethodJitInfo.ByValue,MonoDebugMethodJitInfo.ByReference>>

Direct Known Subclasses:
  MonoDebugMethodJitInfo.ByReference, MonoDebugMethodJitInfo.ByValue

    public class MonoDebugMethodJitInfo

extends Structure<MonoDebugMethodJitInfo,MonoDebugMethodJitInfo.ByValue,MonoDebugMethodJitInfo.ByReference>

native declaration : mono\metadata\mono-debug.h:74
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDebugMethodJitInfo.ByReference`
`static class` | `MonoDebugMethodJitInfo.ByValue`

Field Summary
`int` | `code_size`
`ByteByReference` | `code_start`
`int` | `epilogue_begin`
`MonoDebugLineNumberEntry.ByReference` | `line_numbers`
`MonoDebugVarInfo.ByReference` | `locals`
`int` | `num_line_numbers`
`int` | `num_locals`
`int` | `num_params`
`MonoDebugVarInfo.ByReference` | `params`
`int` | `prologue_end`
`MonoDebugVarInfo.ByReference` | `this_var`
`ByteByReference` | `wrapper_addr`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDebugMethodJitInfo()`

Method Summary
`protected MonoDebugMethodJitInfo.ByReference` | `newByReference()`
`protected MonoDebugMethodJitInfo.ByValue` | `newByValue()`
`protected MonoDebugMethodJitInfo` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### code_start

    public ByteByReference code_start

### code_size

    public int code_size

### prologue_end

    public int prologue_end

### epilogue_begin

    public int epilogue_begin

### wrapper_addr

    public ByteByReference wrapper_addr

### num_line_numbers

    public int num_line_numbers

### line_numbers

    public MonoDebugLineNumberEntry.ByReference line_numbers

### num_params

    public int num_params

### this_var

    public MonoDebugVarInfo.ByReference this_var

### params

    public MonoDebugVarInfo.ByReference params

### num_locals

    public int num_locals

### locals

    public MonoDebugVarInfo.ByReference locals

Constructor Detail

### MonoDebugMethodJitInfo

    public MonoDebugMethodJitInfo()

Method Detail

### newByReference

    protected MonoDebugMethodJitInfo.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDebugMethodJitInfo,MonoDebugMethodJitInfo.ByValue,MonoDebugMethodJitInfo.ByReference>`

### newByValue

    protected MonoDebugMethodJitInfo.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDebugMethodJitInfo,MonoDebugMethodJitInfo.ByValue,MonoDebugMethodJitInfo.ByReference>`

### newInstance

    protected MonoDebugMethodJitInfo newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDebugMethodJitInfo,MonoDebugMethodJitInfo.ByValue,MonoDebugMethodJitInfo.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD